
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

If the serial port was closed, we could use an uninitialized "pwr_delay"
and pass that to schedule_timeout().


---

 25-akpm/drivers/serial/pmac_zilog.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/serial/pmac_zilog.c~pmac-zilog-uninitialised-var-fix drivers/serial/pmac_zilog.c
--- 25/drivers/serial/pmac_zilog.c~pmac-zilog-uninitialised-var-fix	Tue Mar 23 15:25:38 2004
+++ 25-akpm/drivers/serial/pmac_zilog.c	Tue Mar 23 15:25:38 2004
@@ -1626,7 +1626,7 @@ static int pmz_resume(struct macio_dev *
 	struct uart_pmac_port *uap = dev_get_drvdata(&mdev->ofdev.dev);
 	struct uart_state *state;
 	unsigned long flags;
-	int pwr_delay;
+	int pwr_delay = 0;
 
 	if (uap == NULL)
 		return 0;

_
